<template lang="html">
  <div class="onboarding screen" :class="[`${pageColor}-bg`]">

    <transition>
      <div class="slide" v-if="currentSlide === 1">
        <svg class="logoimage" width="38" height="15" viewBox="0 0 38 15" fill="none" xmlns="http://www.w3.org/2000/svg">
          <g clip-path="url(#clip0)">
          <path d="M37.6821 6.58161C36.7421 3.88387 34.4474 2.89517 32.3463 3.65788C30.3419 4.39234 29.3743 6.42624 30.0655 8.40364C30.7152 10.2539 32.5675 11.1579 34.3645 10.5082C35.9956 9.91494 36.7144 8.47426 36.6868 7.24545C37.2121 9.12398 36.4518 11.3839 34.0466 12.2596C30.9363 13.4036 28.4482 11.2285 24.5362 7.57031C23.458 6.55336 22.3798 5.50816 21.2739 4.56184L18.9101 2.71155C18.9101 2.71155 18.9101 2.69743 18.9101 2.71155C17.2652 1.58161 15.5373 0.705904 13.6988 0.282175H13.7126C13.4914 0.239802 13.2841 0.197429 13.0629 0.169181C12.9938 0.140932 12.9109 0.140932 12.8279 0.126808C12.7726 0.112683 12.7173 0.112683 12.6759 0.0985592C12.5653 0.0844349 12.4409 0.0703106 12.3303 0.0561863C12.2474 0.042062 12.1506 0.042062 12.0677 0.0279377C12.0262 0.0279377 11.9985 0.0279377 11.9571 0.0138134C2.36377 -0.664153 0 10.5929 0 10.5929L0.124409 10.9319C0.152055 10.8754 0.0967624 10.9884 0.124409 10.9319C0.124409 10.9319 2.9167 1.63811 9.15096 4.91494C10.4365 5.69178 12.4547 6.94884 13.6712 7.92342L14.9014 8.91212C21.2739 13.898 27.2455 16.3697 33.1757 14.2087C37.4332 12.6409 38.6497 9.34997 37.6821 6.58161Z" fill="white"/>
          </g>
        </svg>
        <div class="headline">
          <h1>Welcome to</h1>
          <svg class="logo" width="107" height="30" viewBox="0 0 107 30" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M11.2805 12.7734C10.1374 12.7734 9.235 11.9528 9.235 10.9058C9.235 9.91538 10.0472 9.09476 11.1 9.09476C11.6716 9.09476 12.2431 9.34944 12.6041 9.80219C12.3033 9.15136 11.6415 8.7269 10.6789 8.7269C7.6106 8.7269 6.46751 12.9149 6.46751 16.5653V21.5173H9.08459V22.3096H0V21.5173H2.40651V9.20795H0V8.41562C2.16586 8.41562 4.27156 8.33073 6.46751 7.93457V12.2924C6.88865 10.1418 8.12199 8.01946 10.6187 8.01946C12.3935 8.01946 13.4765 9.06646 13.4765 10.5096C13.4464 11.9245 12.4537 12.7734 11.2805 12.7734Z" fill="white"/>
            <path d="M32.2476 21.5456V22.3379H23.7045V21.5456H25.7801V12.0377C25.7801 10.1701 24.998 9.40605 23.7948 9.40605C21.5086 9.40605 20.2151 12.0094 20.2151 13.3111V21.5456H22.4712V22.3379H13.7476V21.5456H16.1541V2.02045H13.7476V1.22812C15.9736 1.22812 18.0191 1.14323 20.2151 0.74707V10.9907C20.937 9.63243 22.5013 8.04778 25.3289 8.04778C28.4273 8.04778 29.8712 9.8871 29.8712 13.1413V21.5456H32.2476Z" fill="white"/>
            <path d="M32.4275 26.781C32.4275 25.4511 33.2999 24.3758 34.7137 24.3758C35.8869 24.3758 36.7893 25.1964 36.7893 26.2434C36.7893 27.2338 36.0373 27.9978 34.9845 27.9978C33.9316 27.9978 33.2698 27.2904 33.1796 26.6395C33.1796 27.8846 34.0519 28.7901 35.4958 28.7901C37.5113 28.7901 38.3837 27.1772 39.0755 25.4793L39.7975 23.6683C39.8877 23.4419 39.9479 23.2156 39.9479 23.0458C39.9479 22.6496 39.6772 22.3666 38.9251 22.3666H38.2934L33.2698 9.26498H31.5552V8.47266H39.4064V9.26498H37.421L41.3918 19.7067L43.7682 13.7926C44.1292 12.9153 44.3097 12.0947 44.3097 11.3873C44.3097 10.1422 43.7682 9.29328 42.6853 9.29328H42.3845V8.50095H48.7617V9.29328H48.6113C47.1674 9.29328 45.8438 10.8496 44.3999 14.4434L39.8877 25.7057C39.1357 27.5733 38.0828 29.6108 35.5259 29.6108C33.6609 29.5259 32.4275 28.3657 32.4275 26.781Z" fill="white"/>
            <path d="M59.9817 20.5547C59.1094 21.828 57.876 22.7335 55.8305 22.7335C52.4313 22.7335 51.589 20.1585 51.589 17.5551V9.20743H49.3931V8.4151H51.589V6.20791C52.8825 5.92494 54.7175 4.79305 55.6199 3.68945V8.4151H59.5004V9.20743H55.6199V19.3379C55.6199 21.0074 56.3118 21.5451 57.2142 21.5451C58.1468 21.5451 58.8687 20.8376 59.3199 20.1019L59.9817 20.5547Z" fill="white"/>
            <path d="M79.3258 21.5456V22.3379H70.7826V21.5456H72.8583V12.0377C72.8583 10.1701 72.0761 9.40605 70.8729 9.40605C68.5867 9.40605 67.2932 12.0094 67.2932 13.3111V21.5456H69.5493V22.3379H60.8257V21.5456H63.2322V2.02045H60.8257V1.22812C63.0517 1.22812 65.0972 1.14323 67.2932 0.74707V10.9907C68.0151 9.63243 69.5794 8.04778 72.407 8.04778C75.5054 8.04778 76.9493 9.8871 76.9493 13.1413V21.5456H79.3258Z" fill="white"/>
            <path d="M107 21.5456V22.3379H98.6073V21.5456H100.533V12.066C100.533 10.0852 99.8407 9.43433 98.8179 9.43433C96.7724 9.43433 95.7195 11.783 95.5691 13.4242V21.5739H97.4342V22.3662H89.5829V21.5739H91.5081V12.066C91.5081 10.0286 90.6658 9.43433 89.7333 9.43433C87.6577 9.43433 86.5447 12.1226 86.5447 13.4525V21.5456H88.4398V22.3379H80.0771V21.5456H82.4837V9.20795H80.0771V8.41562C82.243 8.41562 84.3487 8.33073 86.5447 7.93457V10.9058C87.2365 9.51922 88.7105 8.01946 91.2975 8.01946C93.5536 8.01946 94.9073 9.15135 95.3585 11.302C95.9602 9.7456 97.4642 8.01946 100.262 8.01946C103.18 8.01946 104.533 9.88709 104.533 13.113V21.5173H107V21.5456Z" fill="white"/>
            <path d="M48.7614 3.1515C48.3402 2.01961 47.2874 1.59515 46.3248 1.90642C45.3923 2.21769 44.9711 3.06661 45.2719 3.91553C45.5727 4.70785 46.415 5.07572 47.2573 4.79274C48.0093 4.53807 48.3402 3.94382 48.3102 3.40617C48.5508 4.1985 48.1898 5.16061 47.1069 5.52847C45.663 6.00953 44.55 5.10401 42.7451 3.54766C42.2638 3.1232 41.7524 2.67044 41.241 2.27428L40.1581 1.51025C39.406 1.0292 38.5938 0.661334 37.7816 0.49155C37.6914 0.463252 37.5711 0.463252 37.4808 0.434955C37.4508 0.434955 37.3906 0.434955 37.3605 0.406658C37.3304 0.406658 37.3003 0.406658 37.3003 0.406658C37.2402 0.406658 37.18 0.406658 37.1499 0.37836C37.1199 0.37836 37.0597 0.37836 37.0296 0.37836C36.9995 0.37836 36.9995 0.37836 36.9695 0.37836C32.5776 0.0953871 31.4946 4.84934 31.4946 4.84934L31.5548 4.99082C31.5548 4.96253 31.5548 5.01912 31.5548 4.99082C31.5548 4.99082 32.8483 1.0575 35.706 2.44406C36.3077 2.78363 37.2101 3.29298 37.7816 3.71744L38.3532 4.1419C41.2711 6.23591 44.0085 7.28291 46.7459 6.37739C48.641 5.72655 49.2126 4.33999 48.7614 3.1515Z" fill="white"/>
          </svg>
        </div>
        <p>get your things done in your own rhythm.</p>
        <TodoButton class="nextButton" label="" icon="back" @click="currentSlide = currentSlide + 1" />
      </div>
    </transition>

    <transition>
      <div class="slide" v-if="currentSlide === 2">
        <svg class="logoimage" width="38" height="15" viewBox="0 0 38 15" fill="none" xmlns="http://www.w3.org/2000/svg">
          <g clip-path="url(#clip0)">
          <path d="M37.6821 6.58161C36.7421 3.88387 34.4474 2.89517 32.3463 3.65788C30.3419 4.39234 29.3743 6.42624 30.0655 8.40364C30.7152 10.2539 32.5675 11.1579 34.3645 10.5082C35.9956 9.91494 36.7144 8.47426 36.6868 7.24545C37.2121 9.12398 36.4518 11.3839 34.0466 12.2596C30.9363 13.4036 28.4482 11.2285 24.5362 7.57031C23.458 6.55336 22.3798 5.50816 21.2739 4.56184L18.9101 2.71155C18.9101 2.71155 18.9101 2.69743 18.9101 2.71155C17.2652 1.58161 15.5373 0.705904 13.6988 0.282175H13.7126C13.4914 0.239802 13.2841 0.197429 13.0629 0.169181C12.9938 0.140932 12.9109 0.140932 12.8279 0.126808C12.7726 0.112683 12.7173 0.112683 12.6759 0.0985592C12.5653 0.0844349 12.4409 0.0703106 12.3303 0.0561863C12.2474 0.042062 12.1506 0.042062 12.0677 0.0279377C12.0262 0.0279377 11.9985 0.0279377 11.9571 0.0138134C2.36377 -0.664153 0 10.5929 0 10.5929L0.124409 10.9319C0.152055 10.8754 0.0967624 10.9884 0.124409 10.9319C0.124409 10.9319 2.9167 1.63811 9.15096 4.91494C10.4365 5.69178 12.4547 6.94884 13.6712 7.92342L14.9014 8.91212C21.2739 13.898 27.2455 16.3697 33.1757 14.2087C37.4332 12.6409 38.6497 9.34997 37.6821 6.58161Z" fill="white"/>
          </g>
        </svg>
        <h1 class="normalheadline">build new habits</h1>
        <p>overcome short-term thinking.</p>
        <TodoButton class="nextButton" label="" icon="back" @click="currentSlide = currentSlide + 1" />
      </div>
    </transition>

    <transition>
      <div class="slide" v-if="currentSlide === 3">
        <svg class="logoimage" width="38" height="15" viewBox="0 0 38 15" fill="none" xmlns="http://www.w3.org/2000/svg">
          <g clip-path="url(#clip0)">
          <path d="M37.6821 6.58161C36.7421 3.88387 34.4474 2.89517 32.3463 3.65788C30.3419 4.39234 29.3743 6.42624 30.0655 8.40364C30.7152 10.2539 32.5675 11.1579 34.3645 10.5082C35.9956 9.91494 36.7144 8.47426 36.6868 7.24545C37.2121 9.12398 36.4518 11.3839 34.0466 12.2596C30.9363 13.4036 28.4482 11.2285 24.5362 7.57031C23.458 6.55336 22.3798 5.50816 21.2739 4.56184L18.9101 2.71155C18.9101 2.71155 18.9101 2.69743 18.9101 2.71155C17.2652 1.58161 15.5373 0.705904 13.6988 0.282175H13.7126C13.4914 0.239802 13.2841 0.197429 13.0629 0.169181C12.9938 0.140932 12.9109 0.140932 12.8279 0.126808C12.7726 0.112683 12.7173 0.112683 12.6759 0.0985592C12.5653 0.0844349 12.4409 0.0703106 12.3303 0.0561863C12.2474 0.042062 12.1506 0.042062 12.0677 0.0279377C12.0262 0.0279377 11.9985 0.0279377 11.9571 0.0138134C2.36377 -0.664153 0 10.5929 0 10.5929L0.124409 10.9319C0.152055 10.8754 0.0967624 10.9884 0.124409 10.9319C0.124409 10.9319 2.9167 1.63811 9.15096 4.91494C10.4365 5.69178 12.4547 6.94884 13.6712 7.92342L14.9014 8.91212C21.2739 13.898 27.2455 16.3697 33.1757 14.2087C37.4332 12.6409 38.6497 9.34997 37.6821 6.58161Z" fill="white"/>
          </g>
        </svg>
        <h1 class="normalheadline">focus on the significant</h1>
        <p>prioritise activities that are really important to you.</p>
        <TodoButton class="nextButton" label="" icon="back" @click="currentSlide = currentSlide + 1" />
      </div>
    </transition>

    <transition>
      <div class="slide" v-if="currentSlide === 4">
        <svg class="logoimage" width="38" height="15" viewBox="0 0 38 15" fill="none" xmlns="http://www.w3.org/2000/svg">
          <g clip-path="url(#clip0)">
          <path d="M37.6821 6.58161C36.7421 3.88387 34.4474 2.89517 32.3463 3.65788C30.3419 4.39234 29.3743 6.42624 30.0655 8.40364C30.7152 10.2539 32.5675 11.1579 34.3645 10.5082C35.9956 9.91494 36.7144 8.47426 36.6868 7.24545C37.2121 9.12398 36.4518 11.3839 34.0466 12.2596C30.9363 13.4036 28.4482 11.2285 24.5362 7.57031C23.458 6.55336 22.3798 5.50816 21.2739 4.56184L18.9101 2.71155C18.9101 2.71155 18.9101 2.69743 18.9101 2.71155C17.2652 1.58161 15.5373 0.705904 13.6988 0.282175H13.7126C13.4914 0.239802 13.2841 0.197429 13.0629 0.169181C12.9938 0.140932 12.9109 0.140932 12.8279 0.126808C12.7726 0.112683 12.7173 0.112683 12.6759 0.0985592C12.5653 0.0844349 12.4409 0.0703106 12.3303 0.0561863C12.2474 0.042062 12.1506 0.042062 12.0677 0.0279377C12.0262 0.0279377 11.9985 0.0279377 11.9571 0.0138134C2.36377 -0.664153 0 10.5929 0 10.5929L0.124409 10.9319C0.152055 10.8754 0.0967624 10.9884 0.124409 10.9319C0.124409 10.9319 2.9167 1.63811 9.15096 4.91494C10.4365 5.69178 12.4547 6.94884 13.6712 7.92342L14.9014 8.91212C21.2739 13.898 27.2455 16.3697 33.1757 14.2087C37.4332 12.6409 38.6497 9.34997 37.6821 6.58161Z" fill="white"/>
          </g>
        </svg>
        <h1 class="normalheadline">write not-to-do lists</h1>
        <p>free yourself from supposedly urgent tasks.</p>
        <TodoButton class="nextButton" label="" icon="back" @click="currentSlide = currentSlide + 1" />
      </div>
    </transition>

    <transition>
      <div class="slide" v-if="currentSlide === 5">
        <svg class="logoimage" width="38" height="15" viewBox="0 0 38 15" fill="none" xmlns="http://www.w3.org/2000/svg">
          <g clip-path="url(#clip0)">
          <path d="M37.6821 6.58161C36.7421 3.88387 34.4474 2.89517 32.3463 3.65788C30.3419 4.39234 29.3743 6.42624 30.0655 8.40364C30.7152 10.2539 32.5675 11.1579 34.3645 10.5082C35.9956 9.91494 36.7144 8.47426 36.6868 7.24545C37.2121 9.12398 36.4518 11.3839 34.0466 12.2596C30.9363 13.4036 28.4482 11.2285 24.5362 7.57031C23.458 6.55336 22.3798 5.50816 21.2739 4.56184L18.9101 2.71155C18.9101 2.71155 18.9101 2.69743 18.9101 2.71155C17.2652 1.58161 15.5373 0.705904 13.6988 0.282175H13.7126C13.4914 0.239802 13.2841 0.197429 13.0629 0.169181C12.9938 0.140932 12.9109 0.140932 12.8279 0.126808C12.7726 0.112683 12.7173 0.112683 12.6759 0.0985592C12.5653 0.0844349 12.4409 0.0703106 12.3303 0.0561863C12.2474 0.042062 12.1506 0.042062 12.0677 0.0279377C12.0262 0.0279377 11.9985 0.0279377 11.9571 0.0138134C2.36377 -0.664153 0 10.5929 0 10.5929L0.124409 10.9319C0.152055 10.8754 0.0967624 10.9884 0.124409 10.9319C0.124409 10.9319 2.9167 1.63811 9.15096 4.91494C10.4365 5.69178 12.4547 6.94884 13.6712 7.92342L14.9014 8.91212C21.2739 13.898 27.2455 16.3697 33.1757 14.2087C37.4332 12.6409 38.6497 9.34997 37.6821 6.58161Z" fill="white"/>
          </g>
        </svg>
        <h1 class="normalheadline" >appreciate your personal rhythm</h1>
        <TodoInput class="inputname" v-model="name" key="name" type="text" placeholder="what 's your name ?" @keyup.enter="saveUserName"/>
        <TodoButton class="nextButton2" label="" icon="done" @click="saveUserName" />
      </div>
    </transition>

  </div>
</template>

<script>
import TodoButton from '@/components/TodoButton.vue';
import TodoInput from '@/components/TodoInput.vue';

export default {
  async beforeRouteLeave(to, from, next) { // this code is called before leaving the current route
    await this.$store.dispatch('setOnboardingComplete', true); // save in vuex that onboarding has already been shown
    next(); // next has to be called, otherwise the current route won't be changed
  },
  components: {
    TodoButton,
    TodoInput,
  },
  data() {
    return {
      name: '',
      currentSlide: 1,
    };
  },
  methods: {
    saveUserName() {
      if (this.name.length === 0) {
        this.$store.commit('addToast', { message: 'Sorry. This name is too short.' });
      } else {
        this.$store.dispatch('addName', this.name);
        this.$store.commit('addToast', { message: 'Start adding your first rhythm.' });
        this.$router.push({ name: 'home' });
      }
    },
  },
  props: {
    pageColor: String,
  },
};
</script>

<style lang="stylus" scoped>

// noch responsive anpassen

@require '../assets/styles/breakpoints'

.screen
  background-color: black
  color: white
  background-image: radial-gradient(farthest-side at 100% 55%, rgba(255,0,0,0), rgba(255,191,204,0.3)0%, rgba(255,0,0,0)40%), radial-gradient(farthest-side at 80% 40%, rgba(255,0,0,0), rgba(120,108,254,0.5)0%, rgba(255,0,0,0)40%), radial-gradient(closest-side at 30% 18%, rgba(255,0,0,0), rgba(120,108,254,0.5)0%, rgba(255,0,0,0)40%), radial-gradient(closest-side at 20% 15%, rgba(255,0,0,0), rgba(0,209,255,0.3)0%, rgba(255,0,0,0)40%), radial-gradient(farthest-side at 10% 105%, rgba(255,0,0,0), rgba(133,244,194,0.3)0%, rgba(255,0,0,0)40%), radial-gradient(farthest-side at 30% 115%, rgba(255,0,0,0), rgba(120,108,254,0.5)0%, rgba(255,0,0,0)40%);

  .slide

    .logoimage
      margin-top: 70px
      display: block
      margin-right: auto
      margin-left: auto
      filter: drop-shadow(0px 0px 6px darkblue);
      filter: drop-shadow(0px 0px 8px #00FFD1);

      >>> .icon
        width: 26px
        height: 26px

    .headline
      padding-top: 0px
      display: flex
      justify-content: center

      h1
        @media $tablet
          width: auto
          padding-top: 0px
          padding-left: 0px

    .logo
      margin-top: 23px
      color: white
      filter: drop-shadow(0px 1px 6px blue);

      @media $tablet
        padding-left: 0px !important
        width: auto
        padding-top: 0px

    .normalheadline
      text-align: center

    p
      font-family: futura-pt, serif
      font-weight: 400
      font-style: normal
      text-transform: uppercase
      font-size: 16px
      padding-top: 10px

      @media $tablet
        padding-top: 0px
        width: auto

.onboarding
  padding-top: 4rem

  h1
    padding-top: 0px
    padding-left: 0px
    padding-right: 10px
    padding-bottom: 0px !important
    margin-bottom: 0px !important
    text-shadow: 0 0 30px blue, 0 0 3px darkblue;

    @media $tablet
      width: auto
      padding-top: 0px
      padding-left: 0px

  p
    padding-top: 10px
    text-align: center
    padding-left: 40px
    padding-right: 40px
    font-family: futura-pt, serif
    font-weight: 400
    font-style: normal
    text-transform: uppercase
    font-size: 16px

    @media $tablet
      justify-content: center
      padding-top: 0px
      width: 150px

  .inputname
    border-bottom: 0.5px solid white
    margin-top: 40px

    >>> input
      @media $tablet
        text-align: center

  .nextButton
    margin-top: 250px
    color: white
    margin-right: 30px
    display: block
    margin-right: auto
    margin-left: auto

  .nextButton2
    margin-top: 200px
    color: white
    margin-right: 30px
    display: block
    margin-right: auto
    margin-left: auto

.slide.v-enter-active,
.slide.v-leave-active
  transition: transform 200ms ease, opacity 200ms ease

.slide.v-enter,
.slide.v-leave-to
  transform: translateX(200px)
  opacity: 0

.slide.v-leave-active
  transform: translateX(-200px)
  position: absolute
  width: 100%


</style>
